
Redmine - Patch #3731

Incoming mail handler : Allow spaces between keywords and colon 

2009-08-12 15:15 - Thomas Recloux

Status: Closed Start date: 2009-08-12

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.8.5   

Description

Actually, the keyword syntax for incoming mail is "keyword: value".

Ex : Project: foo

Some mail clients like Outlook are inserting one space before the colon symbol, causing the keywords to be ignored by Redmine.

This modification allows spaces between the keyword and the colon symbol.

Ex : Project : foo

Built against the trunk in revision 2836

Tested on the trunk and on the 0.8.4 tag

Includes unit test

Associated revisions

Revision 2837 - 2009-08-13 01:26 - Eric Davis

Allow spaces between the keyword and colon in incoming mail. (#3731)

Revision 2838 - 2009-08-13 18:57 - Eric Davis

Added missing fixture file from r2837 (#3731)

History

#1 - 2009-08-13 01:24 - Eric Davis

- Status changed from New to Resolved

- Assignee set to Eric Davis

- Target version set to 0.8.5

- % Done changed from 0 to 100

Thank you, your patch was great.  Applied in r2837.

#2 - 2009-08-13 07:55 - Thomas Recloux

Thanks for applying the patch so quickly.

I think you may have forgot to add the ticket_with_spaces_between_attribute_and_separator.eml test file ?

#3 - 2009-08-13 18:56 - Eric Davis

Thomas Recloux wrote:

I think you may have forgot to add the ticket_with_spaces_between_attribute_and_separator.eml test file ?

 Oh thanks, it should be in r2838.

#4 - 2009-09-13 13:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2881.

#5 - 2009-11-28 13:16 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/2837
https://www.redmine.org/projects/redmine/repository/svn/revisions/2838
https://www.redmine.org/projects/redmine/repository/svn/revisions/2881


- Category changed from Email notifications to Email receiving

Files
